| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryRouteRequest Class Reference
Destination and Route

Query Route request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
xsd__short | SortType
| Sort Type. More...
RouteDestQueryObject | QDestination
| Route Destination Query object . More...
RouteQueryObject | QRoute
| Route Query object . More...

## Detailed Description

Query Route request.

. Used by unsp__queryRoute()

## Member Data Documentation

## ◆ InterfaceWsdl

xsd__string unsp__QueryRouteRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ OperatorId

xsd__string unsp__QueryRouteRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryRouteRequest::Paging

Standard paging structure.

required: false

## ◆ QDestination

RouteDestQueryObject unsp__QueryRouteRequest::QDestination

Route Destination Query object .

required: false

## ◆ QRoute

RouteQueryObject unsp__QueryRouteRequest::QRoute

Route Query object .

required: false

## ◆ SortType

xsd__short unsp__QueryRouteRequest::SortType

Sort Type.

required: false
default value[range]: 0

## ◆ Specific

xsd__boolean unsp__QueryRouteRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h